DescribeQuotaShare - AWS Batch

DescribeQuotaShare

Returns a description of the specified quota share.

Request Syntax

POST /v1/describequotashare HTTP/1.1 Content-type: application/json { "quotaShareArn": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

quotaShareArn

The Amazon Resource Name (ARN) of the quota share.

Type: String

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "capacityLimits": [ { "capacityUnit": "string", "maxCapacity": number } ], "jobQueueArn": "string", "preemptionConfiguration": { "inSharePreemption": "string" }, "quotaShareArn": "string", "quotaShareName": "string", "resourceSharingConfiguration": { "borrowLimit": number, "strategy": "string" }, "state": "string", "status": "string", "tags": { "string" : "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

capacityLimits

A list that specifies the quantity and type of compute capacity allocated to the quota share.

Type: Array of QuotaShareCapacityLimit objects

jobQueueArn

The ARN of the job queue associated with the quota share.

Type: String

preemptionConfiguration

Specifies the preemption behavior for jobs in a quota share.

Type: QuotaSharePreemptionConfiguration object

quotaShareArn

The Amazon Resource Name (ARN) of the quota share.

Type: String

quotaShareName

The name of the quota share.

Type: String

resourceSharingConfiguration

Specifies whether a quota share reserves, lends, or both lends and borrows idle compute capacity.

Type: QuotaShareResourceSharingConfiguration object

state

The state of the quota share.

Type: String

Valid Values: ENABLED | DISABLED

status

The current status of the quota share.

Type: String

Valid Values: CREATING | VALID | INVALID | UPDATING | DELETING

tags

The tags applied to the quota share.

Type: String to string map

Map Entries: Maximum number of 50 items.

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Value Length Constraints: Maximum length of 256.

Errors

ClientException

These errors are usually caused by a client action. One example cause is using an action or resource on behalf of a user that doesn't have permissions to use the action or resource. Another cause is specifying an identifier that's not valid.

HTTP Status Code: 400

ServerException

These errors are usually caused by a server issue.

HTTP Status Code: 500

Examples

In the following example or examples, the Authorization header contents ( [authorization-params] ) must be replaced with an AWS Signature Version 4 signature. For more information about creating these signatures, see Signature Version 4 Signing Process in the AWS General Reference.

You only need to learn how to sign HTTP requests if you intend to manually create them. When you use the AWS Command Line Interface (AWS CLI) or one of the AWS SDKs to make requests to AWS, these tools automatically sign the requests for you with the access key that you specify when you configure the tools. When you use these tools, you don't need to learn how to sign requests yourself.

Example

This example describes the specified quota share.

Sample Request

POST /v1/describequotashare HTTP/1.1 Host: batch.us-east-1.amazonaws.com Accept-Encoding: identity Content-Length: [content-length] Authorization: [authorization-params] X-Amz-Date: 20250801T001258Z User-Agent: aws-cli/2.27.33 Python/3.13.4 Darwin/24.3.0 { "quotaShareArn": "arn:aws:batch:us-east-1:123456789012:job-queue/some-job-queue-name/quota-share/TeamAShare" }

Sample Response

HTTP/1.1 200 OK Content-Type: application/json Content-Length: [content-length] Connection: keep-alive Date: Fri, 01 Aug 2025 00:12:59 GMT x-amzn-RequestId: [request-id] X-Amzn-Trace-Id: [trace-id] X-Cache: Miss from cloudfront Via: 1.1 example7k9m3n8q4r2w5x1z6c4vexample.cloudfront.net (CloudFront) X-Amz-Cf-Id: whn1dX1uTx34Lvao7-7ZdkDXEbCZ_sjn3v3hHVFgbo1ORJtXyexample { "quotaShareName": "TeamAShare", "quotaShareArn": "arn:aws:batch:us-east-1:123456789012:job-queue/HighPriority/quota-share/TeamAShare", "jobQueueArn": "arn:aws:batch:us-east-1:123456789012:job-queue/HighPriority", "capacityLimits": [ { "maxCapacity": 10, "capacityUnit": "ml.m5.large" }, { "maxCapacity": 5, "capacityUnit": "ml.m5.xlarge" } ], "resourceSharingConfiguration": { "strategy": "LEND_AND_BORROW", "borrowLimit": 200 }, "preemptionConfiguration": { "inSharePreemption": "ENABLED" }, "state": "ENABLED", "status": "VALID", "tags": { "Department": "Engineering" } }

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: